Module java.desktop
Package java.awt.dnd

# Class DnDConstants

java.lang.Object
java.awt.dnd.DnDConstants

    public final class DnDConstants
    extends Object

This class contains constant values representing the type of action(s) to be performed by a Drag and Drop operation.

Since:
  1.2

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `ACTION_COPY` | An `int` representing a "copy" action.
`static int` | `ACTION_COPY_OR_MOVE` | An `int` representing a "copy" or "move" action.
`static int` | `ACTION_LINK` | An `int` representing a "link" action.
`static int` | `ACTION_MOVE` | An `int` representing a "move" action.
`static int` | `ACTION_NONE` | An `int` representing no action.
`static int` | `ACTION_REFERENCE` | An `int` representing a "reference" action (synonym for ACTION_LINK).

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ACTION_NONE

@Native public static final int ACTION_NONE
An `int` representing no action.

See Also:
  Constant Field Values

### ACTION_COPY

@Native public static final int ACTION_COPY
An `int` representing a "copy" action.

See Also:
  Constant Field Values

### ACTION_MOVE

@Native public static final int ACTION_MOVE
An `int` representing a "move" action.

See Also:
  Constant Field Values

### ACTION_COPY_OR_MOVE

@Native public static final int ACTION_COPY_OR_MOVE
An `int` representing a "copy" or "move" action.

See Also:
  Constant Field Values

### ACTION_LINK

@Native public static final int ACTION_LINK
An `int` representing a "link" action. The link verb is found in many, if not all native DnD platforms, and the actual interpretation of LINK semantics is both platform and application dependent. Broadly speaking, the semantic is "do not copy, or move the operand, but create a reference to it". Defining the meaning of "reference" is where ambiguity is introduced. The verb is provided for completeness, but its use is not recommended for DnD operations between logically distinct applications where misinterpretation of the operations semantics could lead to confusing results for the user.

See Also:
  Constant Field Values

### ACTION_REFERENCE

@Native public static final int ACTION_REFERENCE
An `int` representing a "reference" action (synonym for ACTION_LINK).

See Also:
  Constant Field Values